%define upstream_name    Data-Clone
%define upstream_version 0.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Polymorphic data cloning
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::PPPort)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(Module::Build::XSUtil) >= 0.03
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(XSLoader)
BuildRequires: perl(parent)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
'Data::Clone' does data cloning, i.e. copies things recursively. This is
smart so that it works with not only non-blessed references, but also with
blessed references (i.e. objects). When 'clone()' finds an object, it calls
a 'clone' method of the object if the object has a 'clone', otherwise it
makes a surface copy of the object. That is, this module does polymorphic
data cloning.

Although there are several modules on CPAN which can clone data, this
module has a different cloning policy from almost all of them. See the
/Cloning policy manpage and the /Comparison to other cloning modules
manpage for details.

Cloning policy
    A cloning policy is a rule that how a cloning routine copies data. Here
    is the cloning policy of 'Data::Clone'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
perl Build.PL --installdirs=vendor --optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install --destdir=%{buildroot}

%check
./Build test

%files
%doc META.yml Changes README.md
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Fri Jan 31 2025 daviddavid <daviddavid> 0.6.0-2.mga10
+ Revision: 2143834
- rebuild for perl 5.40

* Thu Nov 30 2023 tv <tv> 0.6.0-1.mga10
+ Revision: 2011872
- Update to 0.006
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.4.0-23.mga9
+ Revision: 1861764
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.4.0-22.mga9
+ Revision: 1795621
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.4.0-21.mga9
+ Revision: 1726499
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.4.0-20.mga8
+ Revision: 1594394
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.4.0-19.mga8
+ Revision: 1529013
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 0.4.0-18.mga8
+ Revision: 1432890
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.4.0-17.mga7
+ Revision: 1292682
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.4.0-16.mga7
+ Revision: 1249014
- Fix file list
- Rebuild for perl 5.28
- Rebuild for perl 5.28
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.4.0-13.mga7
+ Revision: 1163744
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.4.0-12.mga7
+ Revision: 1148928
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 0.4.0-11.mga7
+ Revision: 1128297
- fix build
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.4.0-10.mga6
+ Revision: 1024791
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.4.0-9.mga6
+ Revision: 957055
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.4.0-8.mga6
+ Revision: 844767
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 0.4.0-7.mga6
+ Revision: 842508
- rebuild with soname-ified perl

* Sat Oct 18 2014 umeabot <umeabot> 0.4.0-6.mga5
+ Revision: 787991
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 745052
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.4.0-4.mga5
+ Revision: 735455
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 684187
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.4.0-2.mga5
+ Revision: 631026
- Rebuild for perl 5.20

* Mon May 19 2014 sander85 <sander85> 0.4.0-1.mga5
+ Revision: 623877
- update to 0.004

* Sat Oct 19 2013 umeabot <umeabot> 0.3.0-4.mga4
+ Revision: 524754
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.3.0-3.mga4
+ Revision: 431421
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 365261
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 06 2012 jquelin <jquelin> 0.3.0-1.mga3
+ Revision: 256113
- imported package perl-Data-Clone


* Wed Jun 06 2012 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
